const { Octokit } = require("@octokit/core")

const octokit = new Octokit({
    auth: process.env.GITHUB_TOKEN
})

// https://github.com/octokit/request.js/pull/460.diff
const result = await octokit.request("GET /repos/{owner}/{repo}/pulls/{pull_number}", {
    owner: "octokit",
    repo: "request.js",
    pull_number: 460,
    mediaType: {
        format: "diff",
    },
});

console.log(result.data);
